# descrip.mms: MMS description file for building zlib on VMS
# written by Martin P.J. Zinser <m.zinser@gsi.de>

cc_defs = 
c_deb = 

.ifdef __DECC__
pref = /prefix=all
.endif

OBJS = adler32.obj, compress.obj, crc32.obj, gzio.obj, uncompr.obj,\
       deflate.obj, trees.obj, zutil.obj, inflate.obj, infblock.obj,\
       inftrees.obj, infcodes.obj, infutil.obj, inffast.obj

CFLAGS= $(C_DEB) $(CC_DEFS) $(PREF)

all : example.exe
        @ write sys$output " Example applications available"
libz.olb : $(OBJS)
	Library/Create libz.olb $(OBJS)

example.exe : example.obj libz.olb
              link example,libz.olb/lib

clean : 
	delete *.obj;*,libz.olb;*


# Other dependencies.
adler32.obj : adler32.c zutil.h zlib.h zconf.h
compress.obj : compress.c zlib.h zconf.h
crc32.obj : crc32.c zutil.h zlib.h zconf.h
deflate.obj : deflate.c deflate.h zutil.h zlib.h zconf.h
example.obj : example.c zlib.h zconf.h

gzio.obj : gzio.c zutil.h zlib.h zconf.h
infblock.obj : infblock.c zutil.h zlib.h zconf.h infblock.h inftrees.h infcodes.h infutil.h
infcodes.obj : infcodes.c zutil.h zlib.h zconf.h inftrees.h infutil.h infcodes.h inffast.h
inffast.obj : inffast.c zutil.h zlib.h zconf.h inftrees.h infutil.h inffast.h
inflate.obj : inflate.c zutil.h zlib.h zconf.h infblock.h
inftrees.obj : inftrees.c zutil.h zlib.h zconf.h inftrees.h
infutil.obj : infutil.c zutil.h zlib.h zconf.h inftrees.h infutil.h
minigzip.obj : minigzip.c zlib.h zconf.h
trees.obj : trees.c deflate.h zutil.h zlib.h zconf.h
uncompr.obj : uncompr.c zlib.h zconf.h
zutil.obj : zutil.c zutil.h zlib.h zconf.h
